%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Configuration backend for Glib
Name:		dconf
Version:	0.14.1
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://live.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0) >= 2.33.3
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	vala-devel >= 0.17.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.17.0
BuildRequires:	intltool
Requires:	    dbus
Requires(post):	%{giolibname} >= 2.23.4-2mdv
Requires(postun):	%{giolibname} >= 2.23.4-2mdv
Conflicts:      %{mklibname %name 0} < 0.13.4-5
Conflicts:      %{mklibname %name 1} < 0.13.4-5

%description
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package editor
Summary:	An editor for the Dconf configuration system
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description editor
This is a graphical editor for the Dconf configuration system.

%package -n %{libname}
Group:			System/Libraries
Summary:		Configuration backend library for Glib

%description -n %{libname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{libdbus}
Group:                  System/Libraries
Summary:                Configuration backend library for Glib
Obsoletes:              %{_lib}dconf0 < 0.13.4

%description -n %{libdbus}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%package -n %{develname}
Group:		Development/C
Summary:	Configuration backend library for Glib - development files
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libdbus} =  %{version}-%{release}

%description -n %{develname}
This is a configuration backend for Glib's GSettings and part of GNOME 3.0.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%post 
%{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules

%postun
if [ "$1" = "0" ]; then
 %{_bindir}/gio-querymodules-%{__isa_bits} %{_libdir}/gio/modules
fi

%files -f %{name}.lang
%doc NEWS
%{_bindir}/dconf
%{_mandir}/man?/dconf.*
%{_mandir}/man1/dconf-service.*
%{_libexecdir}/dconf-service
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%{_libdir}/gio/modules/libdconfsettings.*

%files editor
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.*
%{_datadir}/applications/dconf-editor.desktop
%{_datadir}/dconf-editor
%{_iconsdir}/hicolor/*/apps/dconf-editor.png

%files -n %{libname}
%{_libdir}/libdconf.so.%{major}*

%files -n %{libdbus}
%{_libdir}/libdconf-dbus-%{api}.so.%{dbusmajor}
%{_libdir}/libdconf-dbus-%{api}.so.%{dbusmajor}.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/dconf
%{_libdir}/libdconf.so
%{_libdir}/libdconf-dbus-1.so
%{_libdir}/pkgconfig/dconf.pc
%{_libdir}/pkgconfig/dconf-dbus-1.pc
%{_includedir}/dconf
%{_includedir}/dconf-dbus-1
%{_datadir}/vala/vapi/dconf*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.14.1-2.mga3
+ Revision: 348690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 ovitters <ovitters> 0.14.1-1.mga3
+ Revision: 312125
- new version 0.14.1

* Sat Sep 29 2012 fwang <fwang> 0.14.0-1.mga3
+ Revision: 299972
- new version 0.14.0

* Mon Aug 20 2012 ovitters <ovitters> 0.13.90-1.mga3
+ Revision: 282733
- new version 0.13.90

* Tue Aug 07 2012 ovitters <ovitters> 0.13.5-1.mga3
+ Revision: 279742
- new version 0.13.5

* Fri Jul 20 2012 fwang <fwang> 0.13.4-6.mga3
+ Revision: 272929
- move scriptlet into main package

* Fri Jul 20 2012 neoclust <neoclust> 0.13.4-5.mga3
+ Revision: 272924
- Fix conflict

* Thu Jul 19 2012 fwang <fwang> 0.13.4-4.mga3
+ Revision: 272487
- fix giolibname

* Thu Jul 19 2012 fwang <fwang> 0.13.4-3.mga3
+ Revision: 272483
- more conflicts should be added

* Thu Jul 19 2012 fwang <fwang> 0.13.4-2.mga3
+ Revision: 272482
- add conflicts to ease upgrading

* Thu Jul 19 2012 fwang <fwang> 0.13.4-1.mga3
+ Revision: 272477
- update file list

  + ovitters <ovitters>
    - update lib major
    - update file list
    - new version 0.13.4

* Wed Jun 27 2012 ovitters <ovitters> 0.13.0-1.mga3
+ Revision: 264490
- new version 0.13.0

* Tue May 01 2012 ovitters <ovitters> 0.12.1-1.mga3
+ Revision: 234419
- new version 0.12.1

* Mon Mar 26 2012 ovitters <ovitters> 0.12.0-1.mga2
+ Revision: 226705
- new version 0.12.0

* Mon Mar 19 2012 ovitters <ovitters> 0.11.7-1.mga2
+ Revision: 224447
- new version 0.11.7

* Fri Mar 09 2012 fwang <fwang> 0.11.6-1.mga2
+ Revision: 222007
- new version 0.11.6

* Tue Feb 14 2012 ovitters <ovitters> 0.11.5-2.mga2
+ Revision: 208873
- clean spec

* Mon Feb 06 2012 wally <wally> 0.11.5-1.mga2
+ Revision: 205513
- new version 0.11.5

* Sat Jan 28 2012 fwang <fwang> 0.11.3-1.mga2
+ Revision: 202413
- update file list
- new version 0.11.3

* Tue Nov 22 2011 fwang <fwang> 0.11.2-1.mga2
+ Revision: 170732
- new version 0.11.2

* Fri Oct 28 2011 wally <wally> 0.11.0-1.mga2
+ Revision: 159203
- new version 0.11.0

  + eandry <eandry>
    - fix URL

* Mon Sep 26 2011 ovitters <ovitters> 0.10.0-1.mga2
+ Revision: 149022
- new version 0.10.0

* Mon Sep 19 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 145533
- new version 0.9.1
- new version 0.9.0

  + wally <wally>
    - new version 0.8.0
    - drop unrecognized configure option
    - clean .spec a bit

* Thu Jun 09 2011 dmorgan <dmorgan> 0.7.5-1.mga2
+ Revision: 102132
- New version 0.7.5

* Thu Apr 28 2011 saispo <saispo> 0.7.3-1.mga1
+ Revision: 93307
- Readd patch file
- Remove patch file
- Add dconf-editor-crash.patch file
- New release 0.7.3
  Add patch for fixing crash with empty schemas

  + pterjan <pterjan>
    - Fix build with gtk2

* Sun Apr 10 2011 ahmad <ahmad> 0.5.1-1.mga1
+ Revision: 82728
- use %%{__isa_bits} with the gio-querymodules post/postun scriptlets (Fedora)
- imported package dconf

